For Developers

List Team Role Permissions

GET https://ed.link/api/v2/teams/:team_id/permissions

Returns the system permission catalog as an array of objects with name, description, and slug. The list is not paginated. Use a permission's slug in the permissions array when creating or updating a custom team role. Role assignments select a role by its team_role_id.

Permissions

Requires the team_roles.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.

Sample Request

const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/permissions`, {
    headers: { authorization: `Bearer ${user_session_token}` }
});
const assignmentPermissions = response.data.$data.filter((permission) => permission.slug.startsWith('team_role_assignments.'));

The assignment permission entries have slugs team_role_assignments.read, team_role_assignments.create, and team_role_assignments.delete. There is no assignment update operation.